import {Component} from '@angular/core';
import {PluginBaseComponent, PluginBaseInfo, PluginInfoCards, PluginURL} from "../../utils/base-plugin.component";
export class PluginLearnAndConnect extends PluginBaseInfo{
  title:string ="Learn & Connect with Open Science";
  cardInfoArray:PluginInfoCards[] = [
    {title: "OS Practices", description: "Open Science best practices for your community, policies and mandates.",
      urlsArray:[ new PluginURL("","")], show:true},
    {title: "OS Guides for beginners", description: "New to Open Science? Learn the basics!",urlsArray:[ new PluginURL("https://www.openaire.eu/guides","Learn more")], show:true},
    {title: "Webinars", description: "Recordings and slides of webinars on different aspects of Open Science.",urlsArray:[ new PluginURL("https://www.openaire.eu/support/webinars","Learn more")], show:true}
  ];
}
@Component({
  selector: 'plugin-learn-and-connect',
  templateUrl: 'plugin-learn-and-connect.component.html'
})
export class PluginLearnAndConnectComponent extends PluginBaseComponent<PluginLearnAndConnect>{
  constructor() {
    super()
  }
}
